// Jeff DeMaagd, (c) 1999, GNU General Public Licence (GPL)

// DXF test program

#include "dxf.h"
FILE *dxf_file_in;

int main (int argc, char *argv[])
{
	extern FILE *dxf_file_in;
	struct dxf_struct dxf_info;

	dxf_info.layer_root = NULL;
	dxf_info.linetype_root = NULL;
	dxf_info.geom_root = NULL;

	printf ("\n DeMaagd Command Line Utilities, (c) 1999, GPL licenced.\n");

	if (argc > 1) {
		dxf_file_in = fopen (argv[1],"r");
		if (!dxf_file_in) {
			printf("  I couldn't read the input file: %s\n", argv[1]);
			exit(1);
		} else {
			printf("  Reading datafile: %s\n",argv[1]);
			if (dxf_file_in == NULL)
				printf ("\tFile is not opened properly");
			read_dxf(dxf_file_in, &dxf_info);
		}
	} else {
		printf("\n  Data file not requested. Format of entry:\n");
		printf("   driver <file_input>\n");
	}

	if ((dxf_info.geom_root != NULL)) {
		if ((dxf_info.geom_root->geomtype == DXF_ARC))	{
			printf ("%f\n", dxf_info.geom_root->geom.arc.p1.x);
		} else {
			printf ("oops\n");
		}
	}
	
	printf ("%i\n", dxf_info.geom_root->next->geomtype);
	printf ("%i\n", dxf_info.geom_root->next->next->geomtype);
	
	if ((dxf_info.geom_root->next != NULL)) {
		if ((dxf_info.geom_root->next->geomtype == DXF_ARC))	{
			printf ("%f\n", dxf_info.geom_root->next->geom.arc.p1.x);
		} else {
			printf ("oops\n");
		}
	}

	printf("\n");

	return 0;
}
