// Jeff DeMaagd (c) 1999, GNU GPL licenced.
//DXF class test program

#include <fstream>
#include <string>
#include "dxf.h"
#include "../geom/geom.h"
using namespace std;

int main (int argc, char *argv[])
{
	ifstream fin;
	DXF dxf_info;
	string temp_string;
	data_node * temp_node;
	
	cout << "\nJeff DeMaagd Command Line Utilities, (c) 1999, GPL licenced.\n";
	
	if (argc > 1)	{
		fin.open(argv[1]);
	
		if (fin.is_open())	{

			cout << "Opening file.\n";

			fin >> dxf_info;

			cout << "File read.\n";

//			cout << dxf_info;
//			cout << dxf_info;

			dxf_info.stats();
			dxf_info.travel();
			cout << "Pre-sort()\n";
			dxf_info.sort();
			cout << "Post-sort()\n";
			dxf_info.travel();			

//			cout << dxf_info;

//			dxf_info.stats();			
		} else
			cerr << " I could not open the file.  Sorry.\n";
	} else
		cout << "Format for use:\n\t./driver <dxf_file_name>\n";
	
//	cout << "Press 'Enter' to continue...: ";
//	cin >> temp_string;
//	cout << endl;

	return 0;
}
